<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
  </head>
<?php

  // Založení Session
  session_start();
   if (isset($_SESSION["uzivatel"])) {}
    else {echo '<meta http-equiv="refresh" content="0;url=login.php">';}
    require_once ("databaze/pripojit.php");
  if (isset($_GET["aktivace"])) { 
     $dotaz="UPDATE uzivatele_prehled SET aktivace_uctu ='ano' WHERE email='".$_GET['aktivace']."'";   
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();
  } 
 
  }

else{  
   // echo "No, aktivace is not set";
}
   
if (isset($_GET["deaktivace"])) {
        $dotaz="UPDATE uzivatele_prehled SET aktivace_uctu ='ne' WHERE email='".$_GET['deaktivace']."'";   
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();
  } 
   } 
   
else{  
  //  echo "N0, deaktivace is not set";
}
   
if (isset($_GET["zmenitnaadmin"])) {
        $dotaz="UPDATE uzivatele_prehled SET prava ='admin' WHERE email='".$_GET['zmenitnaadmin']."'";   
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();
  } 
   } 
else{  
    //echo "N0, zmenitnaadmin is not set";
}

if (isset($_GET["zmenitnatechnik"])) {
        $dotaz="UPDATE uzivatele_prehled SET prava ='Technik' WHERE email='".$_GET['zmenitnatechnik']."'";   
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();
  } 
   } 
else{  
    //echo "N0, zmenitnaadmin is not set";
}
if (isset($_GET["zmenitnauzivatel"])) {
        $dotaz="UPDATE uzivatele_prehled SET prava ='uzivatel' WHERE email='".$_GET['zmenitnauzivatel']."'";   
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();
  } 
   } 
   else{  
   // echo "N0, zmenitnauzivatel is not set";
}
  if (isset($_GET["smazat"])) {
  
  
  $dotaz = "DELETE FROM uzivatele_prehled where email='".$_GET['smazat']."'";
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();   
  } 
   } 
   else{  
   // echo "N0, zmenitnauzivatel is not set";
}

  if (isset($_GET["zabanovat"])) {
$dotaz="UPDATE uzivatele_prehled SET ban ='ano' WHERE email='".$_GET['zabanovat']."'";
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();
  } 
   } 
   else{  
   // echo "N0, zmenitnauzivatel is not set";
}
  if (isset($_GET["odbanovat"])) {
$dotaz="UPDATE uzivatele_prehled SET ban ='ne' WHERE email='".$_GET['odbanovat']."'";
   $vysledek = mysqli_query($link, $dotaz);
    if(!$vysledek) {
    echo "error sprava uzivatelu";
    exit();
  } 
   } 
   else{  
   // echo "N0, zmenitnauzivatel is not set";
}

  
          
     header('Location: sprava_uzivatelu.php');
      require_once ("databaze/odpojit.php");
  
?>